std::istreambuf_iterator< _CharT, _Traits >(3)

NAME
std::istreambuf_iterator< _CharT, _Traits > - Provides input iterator semantics for streambufs.

SYNOPSIS

  Public Types
typedef _CharT char_type
Public typedefs.
typedef _Traits::int_type int_type
typedef basic_istream< _CharT, _Traits > istream_type
typedef basic_streambuf< _CharT, _Traits > streambuf_type
typedef _Traits traits_type

  Public Member Functions
constexpr istreambuf_iterator () noexcept
Construct end of input stream iterator.
istreambuf_iterator (const istreambuf_iterator &) noexcept=default
istreambuf_iterator (istream_type &__s) noexcept
Construct start of input stream iterator.
istreambuf_iterator (streambuf_type *__s) noexcept
Construct start of streambuf iterator.
bool equal (const istreambuf_iterator &__b) const
Return true both iterators are end or both are not end.
char_type operator* () const
Return the current character pointed to by iterator. This returns streambuf.sgetc(). It cannot be assigned. NB: The result of operator*() on an end of stream is undefined.
istreambuf_iterator & operator++ ()
Advance the iterator. Calls streambuf.sbumpc().
istreambuf_iterator operator++ (int)
Advance the iterator. Calls streambuf.sbumpc().
istreambuf_iterator & operator= (const istreambuf_iterator &) noexcept=default

  Friends
template<bool _IsMove, typename _CharT2 > __gnu_cxx::__enable_if< __is_char< _CharT2 >::__value, _CharT2 * >::__type __copy_move_a2 (istreambuf_iterator< _CharT2 >, istreambuf_iterator< _CharT2 >, _CharT2 *)
template<typename _CharT2 , typename _Size > __enable_if_t< __is_char< _CharT2 >::__value, _CharT2 * > __copy_n_a (istreambuf_iterator< _CharT2 >, _Size, _CharT2 *)
template<typename _CharT2 , typename _Distance > __gnu_cxx::__enable_if< __is_char< _CharT2 >::__value, void >::__type advance (istreambuf_iterator< _CharT2 > &, _Distance)
template<typename _CharT2 > __gnu_cxx::__enable_if< __is_char< _CharT2 >::__value, ostreambuf_iterator< _CharT2 > >::__type copy (istreambuf_iterator< _CharT2 >, istreambuf_iterator< _CharT2 >, ostreambuf_iterator< _CharT2 >)
template<typename _CharT2 > __gnu_cxx::__enable_if< __is_char< _CharT2 >::__value, istreambuf_iterator< _CharT2 > >::__type find (istreambuf_iterator< _CharT2 >, istreambuf_iterator< _CharT2 >, const _CharT2 &)

Detailed Description

  template<typename _CharT, typename _Traits>
class std::istreambuf_iterator< _CharT, _Traits >" Provides input iterator semantics for streambufs.

Definition at line 125 of file iosfwd.

Author

Generated automatically by Doxygen for libstdc++ from the source code.